# TMCColorRGBA Class Reference
[MCCore]

Inheritance diagram for TMCColorRGBA:

List of all members.

## Public Member Functions
| TMCColorRGBA (void)
| TMCColorRGBA (const TMCColorRGB &rgb, real a)
| TMCColorRGBA (const real rr, const real gg, const real bb, const real aa)
void | Set (const real rr, const real gg, const real bb, const real aa)
boolean | IsEqual (const TMCColorRGBA &rhs, const real epsilon=0.0) const
real | GetMagnitude (void) const
real | GetMagnitudeSquared (void) const
real | GetMinOfRGB (void) const
real | GetMaxOfRGB (void) const
boolean | IsClamped (void) const
void | Clamp (void)
void | Interpolate (const TMCColorRGBA &from, const TMCColorRGBA &to, const real interpolant)
void | Interpolate (const TVector2 &interpolants, const TMCColorRGBA &lowerLeft, const TMCColorRGBA &lowerRight, const TMCColorRGBA &upperLeft, const TMCColorRGBA &upperRight)
void | AccumRGBA (const TMCColorRGBA &rhs, const real scalar)
void | AccumRGB (const TMCColorRGBA &rhs, const real scalar)
void | Add (const TMCColorRGB &rhs)
boolean | operator== (const TMCColorRGBA &rhs) const
boolean | operator!= (const TMCColorRGBA &rhs) const
TMCColorRGBA & | operator= (const int32 i)
TMCColorRGBA & | operator= (const TMCColorRGB &c)
TMCColorRGBA & | operator+= (const TMCColorRGBA &rhs)
TMCColorRGBA & | operator+= (const TMCColorRGB &rhs)
TMCColorRGBA & | operator-= (const TMCColorRGBA &rhs)
TMCColorRGBA & | operator*= (const real s)
TMCColorRGBA & | operator/= (const real s)
TMCColorRGBA | operator+ (const TMCColorRGBA &rhs) const
TMCColorRGBA | operator- (const TMCColorRGBA &rhs) const
TMCColorRGBA | operator* (const real s) const
TMCColorRGBA | operator/ (const real s) const
real | operator* (const TMCColorRGBA &rhs) const
TMCColorRGBA | operator% (const TMCColorRGBA &rhs) const
TMCColorRGBA8 & | ToRGBA8 (TMCColorRGBA8 &c) const
TMCColorRGBA8 & | ToRGBA8Unclamped (TMCColorRGBA8 &c) const
const real * | GetAddrFirstComponent (void) const
real | operator[] (int32 index) const
real & | operator[] (int32 index)
## Public Attributes
union {
real alpha
real A
}; |
## Static Public Attributes
static const real | kMaxIntensity
| equals 1.0f
static const real | kInvMaxIntensity
| equals 1.0f/kMaxIntensity;
static const TMCColorRGBA | kBlackNoAlpha
static const TMCColorRGBA | kBlackFullAlpha
static const TMCColorRGBA | kWhiteNoAlpha
static const TMCColorRGBA | kWhiteFullAlpha

## Detailed Description

TMCColorRGBA adds an alpha component to TMCColorRGB

Other color classes are TMCColorRGBA32, TMCColorRGBA8

## Constructor & Destructor Documentation

TMCColorRGBA::TMCColorRGBA | ( | void |  | ) | `[inline]`

TMCColorRGBA::TMCColorRGBA | ( | const TMCColorRGB & | rgb,
|  | real | a |
| ) |  |  | `[inline]`

TMCColorRGBA::TMCColorRGBA | ( | const real | rr,
|  | const real | gg,
|  | const real | bb,
|  | const real | aa |
| ) |  |  | `[inline]`

## Member Function Documentation

void TMCColorRGBA::AccumRGB | ( | const TMCColorRGBA & | rhs,
|  | const real | scalar |
| ) |  |  | `[inline]`

void TMCColorRGBA::AccumRGBA | ( | const TMCColorRGBA & | rhs,
|  | const real | scalar |
| ) |  |  | `[inline]`

void TMCColorRGBA::Add | ( | const TMCColorRGB & | rhs | ) | `[inline]`

void TMCColorRGBA::Clamp | ( | void |  | ) |

Reimplemented from TMCColorRGB.

const real * TMCColorRGBA::GetAddrFirstComponent | ( | void |  | ) | const`[inline]`

Reimplemented from TMCColorRGB.

real TMCColorRGBA::GetMagnitude | ( | void |  | ) | const`[inline]`

Reimplemented from TMCColorRGB.

real TMCColorRGBA::GetMagnitudeSquared | ( | void |  | ) | const`[inline]`

Reimplemented from TMCColorRGB.

real TMCColorRGBA::GetMaxOfRGB | ( | void |  | ) | const`[inline]`

Reimplemented from TMCColorRGB.

real TMCColorRGBA::GetMinOfRGB | ( | void |  | ) | const`[inline]`

Reimplemented from TMCColorRGB.

void TMCColorRGBA::Interpolate | ( | const TVector2 & | interpolants,
|  | const TMCColorRGBA & | lowerLeft,
|  | const TMCColorRGBA & | lowerRight,
|  | const TMCColorRGBA & | upperLeft,
|  | const TMCColorRGBA & | upperRight |
| ) |  |  |

void TMCColorRGBA::Interpolate | ( | const TMCColorRGBA & | from,
|  | const TMCColorRGBA & | to,
|  | const real | interpolant |
| ) |  |  |

boolean TMCColorRGBA::IsClamped | ( | void |  | ) | const

Reimplemented from TMCColorRGB.

boolean TMCColorRGBA::IsEqual | ( | const TMCColorRGBA & | rhs,
|  | const real | epsilon = `0.0` |
| ) |  |  | const

boolean TMCColorRGBA::operator!= | ( | const TMCColorRGBA & | rhs | ) | const`[inline]`

TMCColorRGBA TMCColorRGBA::operator% | ( | const TMCColorRGBA & | rhs | ) | const`[inline]`

real TMCColorRGBA::operator* | ( | const TMCColorRGBA & | rhs | ) | const`[inline]`

TMCColorRGBA TMCColorRGBA::operator* | ( | const real | s | ) | const`[inline]`

Reimplemented from TMCColorRGB.

TMCColorRGBA & TMCColorRGBA::operator*= | ( | const real | s | ) | `[inline]`

Reimplemented from TMCColorRGB.

TMCColorRGBA TMCColorRGBA::operator+ | ( | const TMCColorRGBA & | rhs | ) | const`[inline]`

TMCColorRGBA & TMCColorRGBA::operator+= | ( | const TMCColorRGB & | rhs | ) | `[inline]`

Reimplemented from TMCColorRGB.

TMCColorRGBA & TMCColorRGBA::operator+= | ( | const TMCColorRGBA & | rhs | ) | `[inline]`

TMCColorRGBA TMCColorRGBA::operator- | ( | const TMCColorRGBA & | rhs | ) | const`[inline]`

TMCColorRGBA & TMCColorRGBA::operator-= | ( | const TMCColorRGBA & | rhs | ) | `[inline]`

TMCColorRGBA TMCColorRGBA::operator/ | ( | const real | s | ) | const`[inline]`

Reimplemented from TMCColorRGB.

TMCColorRGBA & TMCColorRGBA::operator/= | ( | const real | s | ) | `[inline]`

Reimplemented from TMCColorRGB.

TMCColorRGBA& TMCColorRGBA::operator= | ( | const TMCColorRGB & | c | ) | `[inline]`

TMCColorRGBA& TMCColorRGBA::operator= | ( | const int32 | i | ) | `[inline]`

boolean TMCColorRGBA::operator== | ( | const TMCColorRGBA & | rhs | ) | const`[inline]`

real & TMCColorRGBA::operator[] | ( | int32 | index | ) | `[inline]`

Reimplemented from TMCColorRGB.

real TMCColorRGBA::operator[] | ( | int32 | index | ) | const`[inline]`

Reimplemented from TMCColorRGB.

void TMCColorRGBA::Set | ( | const real | rr,
|  | const real | gg,
|  | const real | bb,
|  | const real | aa |
| ) |  |  | `[inline]`

TMCColorRGBA8& TMCColorRGBA::ToRGBA8 | ( | TMCColorRGBA8 & | c | ) | const

TMCColorRGBA8& TMCColorRGBA::ToRGBA8Unclamped | ( | TMCColorRGBA8 & | c | ) | const

## Member Data Documentation

union { ... }

real TMCColorRGBA::A

real TMCColorRGBA::alpha

const TMCColorRGBA TMCColorRGBA::kBlackFullAlpha`[static]`

const TMCColorRGBA TMCColorRGBA::kBlackNoAlpha`[static]`

const real TMCColorRGBA::kInvMaxIntensity`[static]`

equals 1.0f/kMaxIntensity;

Reimplemented from TMCColorRGB.

const real TMCColorRGBA::kMaxIntensity`[static]`

equals 1.0f

Reimplemented from TMCColorRGB.

const TMCColorRGBA TMCColorRGBA::kWhiteFullAlpha`[static]`

const TMCColorRGBA TMCColorRGBA::kWhiteNoAlpha`[static]`

The documentation for this class was generated from the following file:

- MCColorRGBA.h